# $Revision: 1.5 $, $Date: 2002/11/17 23:27:13 $
Summary:	H.323 to PSTN gateway
Summary(pl):	Bramka H.323 -> PSTN
Name:		pstngw
Version:	1.1.7
Release:	1
License:	MPL
Group:		Networking/Daemons
Source0:	http://www.openh323.org/bin/%{name}_%{version}.tar.gz
Patch0:		%{name}-mak_files.patch
URL:		http://www.openh323.org/
BuildRequires:	openh323-devel >= 1.10.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
%requires_eq	openh323

%description
This is a very simple PSTN to H.323 gateway program using the OpenH323
library. It allows H.323 clients to make outgoing calls, and incoming
calls to be routed to a specific H.323 client.

%description -l pl
To jest bardzo prosta bramka H.323 -> PSTN uywajca biblioteki OpenH323.
Pozwala klientom H.323 na nawizywania pocze, oraz na przekierowywanie
pocze przychodzcych do odpowiedniego klienta.

%prep
%setup -qn %{name}
%patch0 -p1

%build
PWLIBDIR=%{_prefix}; export PWLIBDIR
OPENH323DIR=%{_prefix}; export OPENH323DIR

%{__make} optshared OPTCCFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install obj_*/%{name} $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.txt *.htm
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: pstngw.spec,v $
Revision 1.5  2002/11/17 23:27:13  marcus
- new version 1.1.7

Revision 1.4  2002/10/28 10:50:10  marcus
- cosmetics

Revision 1.3  2002/10/28 10:48:28  marcus
- updated to 1.1.5

Revision 1.2  2002/07/13 13:06:32  marcus
- use new %%doc

Revision 1.1  2002/07/13 08:27:58  mmazur
- STBR; rel1
